Subject: Re: [Int-area] intarea charter

From: Jari Arkko <[email-masked]>
Date: Mon, 12 Oct 2009 18:18:10 +0300

Thank you for all the comments that we received. They gave me at least a 
lot of food for thought.

We will send out a new charter proposal soon, but first I would like to 
get some input on direction we should take. This relates to the dual 
nature of INTAREA, what work gets accepted, and who should manage the 
group. As you all know, the group has so far dealt with both 
area-ranging topics and documents. On some other areas these two 
functions have been separated into different meetings, one area meeting 
and another group for progressing documents. On some areas there is a 
fairly large number of documents to handle as well, for us it has been a 
little bit less.

I believe there are two possible paths forward. The first is to keep the 
group still as one group. The benefit of this approach is that time can 
be spent where it is most urgently needed, e.g., a large area-wide topic 
could take an entire meeting slot. It would also be easy to deal with 
topics that start out as area-wide discussions but result in a 
recommendation in the form of an RFC (e.g., shared ISP address). Since 
the group deals with documents along with everything else, we'd get 
non-AD chairs who would also manage the area-wide discussions. That 
would be with input from the ADs of course, and Ralph and I really keen 
on delegating anyway so this would be fine with us.

The second possibility is to create two groups, a discussion forum and a 
document development group. The benefit of this approach is that the two 
roles are clearly separated and similar to what has been done on other 
areas. Two sets of chairs would be needed, and at least the ones for the 
document part would not be the ADs. A potential downside is that if we 
create a new group in a place where we traditionally have not had that 
much work, we might open an avenue for publishing unnecessary documents, 
documents that were rejected by existing working groups or BOFs, etc. 
Scheduling the two groups might also be harder than it is now, as the 
time split between the two would be fixed.

Do you have any thoughts on which model would be preferable?

Jari

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Mon, 12 Oct 2009 10:27:36 -0500

Hi Jari,

I support option 2.
This way, the discussion forum will continue to be chaired by the ADs as
it is currently being done.

Thanks!

Regards,
Ahmad

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jari Arkko
> Sent: Monday, October 12, 2009 10:18 AM
> To: Internet Area
> Subject: Re: [Int-area] intarea charter
> 
> Thank you for all the comments that we received. They gave me 
> at least a lot of food for thought.
> 
> We will send out a new charter proposal soon, but first I 
> would like to get some input on direction we should take. 
> This relates to the dual nature of INTAREA, what work gets 
> accepted, and who should manage the group. As you all know, 
> the group has so far dealt with both area-ranging topics and 
> documents. On some other areas these two functions have been 
> separated into different meetings, one area meeting and 
> another group for progressing documents. On some areas there 
> is a fairly large number of documents to handle as well, for 
> us it has been a little bit less.
> 
> I believe there are two possible paths forward. The first is 
> to keep the group still as one group. The benefit of this 
> approach is that time can be spent where it is most urgently 
> needed, e.g., a large area-wide topic could take an entire 
> meeting slot. It would also be easy to deal with topics that 
> start out as area-wide discussions but result in a 
> recommendation in the form of an RFC (e.g., shared ISP 
> address). Since the group deals with documents along with 
> everything else, we'd get non-AD chairs who would also manage 
> the area-wide discussions. That would be with input from the 
> ADs of course, and Ralph and I really keen on delegating 
> anyway so this would be fine with us.
> 
> The second possibility is to create two groups, a discussion 
> forum and a document development group. The benefit of this 
> approach is that the two roles are clearly separated and 
> similar to what has been done on other areas. Two sets of 
> chairs would be needed, and at least the ones for the 
> document part would not be the ADs. A potential downside is 
> that if we create a new group in a place where we 
> traditionally have not had that much work, we might open an 
> avenue for publishing unnecessary documents, documents that 
> were rejected by existing working groups or BOFs, etc. 
> Scheduling the two groups might also be harder than it is 
> now, as the time split between the two would be fixed.
> 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 12 Oct 2009 11:28:19 -0400

Hi Jari,

> documents that were rejected by existing working groups or BOFs, etc. 

I support this option. The intarea meeting could be a gatekeeper for the 
intwg to keep such (useless, rejected) documents out. i.e. Charter items 
for the intwg need to have been discussed in intarea and found 
sufficient support prior to inclusion.

Cheers
Suresh

---

From: Scott Brim <[email-masked]>
Date: Mon, 12 Oct 2009 11:37:28 -0400

> on delegating anyway so this would be fine with us.

The ADs could show up and lead those discussions without having to chair
the WG.

> time split between the two would be fixed.

Model #1 makes sense to me, for the positive and negative reasons you
cite for both.  It's much easier just to have one group.

---

From: Wassim Haddad <[email-masked]>
Date: Mon, 12 Oct 2009 11:43:38 -0400

+1

Wassim H.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Scott Brim
Sent: Monday, October 12, 2009 9:37 AM
To: Jari Arkko
Cc: Internet Area
Subject: Re: [Int-area] intarea charter

Jari Arkko allegedly wrote on 10/12/2009 11:18 AM:
> I believe there are two possible paths forward. The first is to keep
> the group still as one group. The benefit of this approach is that
> time can be spent where it is most urgently needed, e.g., a large
> area-wide topic could take an entire meeting slot. It would also be
> easy to deal with topics that start out as area-wide discussions but
> result in a recommendation in the form of an RFC (e.g., shared ISP
> address). Since the group deals with documents along with everything
> else, we'd get non-AD chairs who would also manage the area-wide
> discussions. That would be with input from the ADs of course, and
> Ralph and I really keen on delegating anyway so this would be fine with us.

The ADs could show up and lead those discussions without having to chair the WG.

> The second possibility is to create two groups, a discussion forum and
> a document development group. The benefit of this approach is that the
> two roles are clearly separated and similar to what has been done on
> other areas. Two sets of chairs would be needed, and at least the ones
> for the document part would not be the ADs. A potential downside is
> that if we create a new group in a place where we traditionally have
> not had that much work, we might open an avenue for publishing
> unnecessary documents, documents that were rejected by existing working groups or BOFs, etc.

Model #1 makes sense to me, for the positive and negative reasons you cite for both.  It's much easier just to have one group.
_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area

---

From: "Laganier, Julien" <[email-masked]>
Date: Mon, 12 Oct 2009 08:54:54 -0700

Jari,

I support the first approach as the second one has IMHO no obvious benefits and a couple of drawbacks.

Thank you.

--julien

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Jari Arkko
> Sent: Monday, October 12, 2009 8:18 AM
> To: Internet Area
> the
> a

---

From: Olafur Gudmundsson <[email-masked]>
Date: Mon, 12 Oct 2009 11:58:57 -0400

Jari,

I think one group for now is the way forward, if the group gets too much work
it can always request two slots one for discussion on active documents
and one for the wide ranging issues.
But most of the time I think both can be accomplished in one slot (with
good time management).

As for scheduling topics for discussion that should be coordinated by the
chairs of the group and the AD's.

         Olafur

At 11:18 12/10/2009, Jari Arkko wrote:
>Thank you for all the comments that we received. They gave me at 
>least a lot of food for thought.
>
>We will send out a new charter proposal soon, but first I would like 
>to get some input on direction we should take. This relates to the 
>dual nature of INTAREA, what work gets accepted, and who should 
>manage the group. As you all know, the group has so far dealt with 
>both area-ranging topics and documents. On some other areas these 
>two functions have been separated into different meetings, one area 
>meeting and another group for progressing documents. On some areas 
>there is a fairly large number of documents to handle as well, for 
>The second possibility is to create two groups, a discussion forum 
>and a document development group. The benefit of this approach is 
>that the two roles are clearly separated and similar to what has 
>been done on other areas. Two sets of chairs would be needed, and at 
>least the ones for the document part would not be the ADs. A 
>potential downside is that if we create a new group in a place where 
>we traditionally have not had that much work, we might open an 
>avenue for publishing unnecessary documents, documents that were 
>rejected by existing working groups or BOFs, etc. Scheduling the two 
>groups might also be harder than it is now, as the time split 
>between the two would be fixed.
>

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Mon, 12 Oct 2009 10:59:15 -0500

> everything 
[Ahmad]
Hi Scott,
I do not mean to create a discussion here, but I just could not resist:)

That is right, but so far we have one model which has been successful in
running the Discussion forum. My understanding of seamless change, is
NOT to change the whole model at once! At least keeping the part that
works well and introduce a partial change is safer. If down the road we
find out that this model (option # 2) does not work, we always can fall
back to adopt Model # 1 later.

Regards,
Ahmad 

> traditionally have 
> now, as the 
> Model #1 makes sense to me, for the positive and negative 
> reasons you cite for both.  It's much easier just to have one group.

---

From: "Laganier, Julien" <[email-masked]>
Date: Mon, 12 Oct 2009 09:12:07 -0700

Hello Ahmad,

Ahmad Muhanna wrote:
> Hi Scott, I do not mean to create a discussion here, but I just could not
> resist:)
> 
> That is right, but so far we have one model which has been successful
> in running the Discussion forum. My understanding of seamless change, is

I am not sure I'm following you here...

The model we currently operate under entails a single non-WG meeting and having both general discussion and document progression under that umbrella.

Starting from there, I think the slightest/seamless change is to continue handling the same things but turn the non-WG umbrella into a WG one, with designated WG chairs.

Best,

--julien

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Mon, 12 Oct 2009 11:27:27 -0500

Hello Julien,

> From: Laganier, Julien [mailto:[email-masked]] 
> Sent: Monday, October 12, 2009 11:12 AM
> To: Muhanna, Ahmad (RICH1:2H10); Scott Brim; Jari Arkko
> Cc: Internet Area
> Subject: RE: [Int-area] intarea charter
> 
> Hello Ahmad,
> 
> Ahmad Muhanna wrote:
> > 
> > >
> > > > area-wide topic could take an entire meeting slot. It 
> would also 
> > > > be easy to deal with topics that start out as area-wide
> > > discussions but
> > > The ADs could show up and lead those discussions without 
> having to 
> > > chair the WG.
> > [Ahmad]
> > Hi Scott, I do not mean to create a discussion here, but I 
> just could 
> > not
> > resist:)
> > 
> > in running the Discussion forum. My understanding of 
> seamless change, 
> > is NOT to change the whole model at once! At least keeping the part 
> > that works well and introduce a partial change is safer. If 
> down the 
> > road we find out that this model (option # 2) does not 
> work, we always 
> > can fall back to adopt Model # 1 later.
> 
> The model we currently operate under entails a single non-WG 
> meeting and having both general discussion and document 
> progression under that umbrella.
> 
> Starting from there, I think the slightest/seamless change is 
> to continue handling the same things but turn the non-WG 
> umbrella into a WG one, with designated WG chairs.
[Ahmad]
As I said, I am not here to start a discussion on this, because
eventually the ADs will count the vote and move on. However, IMO, the
success of this (open discussion) meeting is because it was run as an
open forum with no WG like regulations, sort of. As soon as the whole
thing becomes in the form of a regular WG, then we have a big
responsibilities and a huge shoes to fill for the new WG chairs. My fear
that people may loose interest in this WG and we loose the precious part
of it. The open Discussion!

That is my analysis, if you believe in it, the answer seems obvious
here:) then Option No. 2 is the way to go, if not, then you are very
well welcome to cast your ballot for # 1, as you actually did:)

Cheers!
Ahmad

---

From: Wassim Haddad <[email-masked]>
Date: Mon, 12 Oct 2009 12:39:27 -0400

Hi Ahmad,

[Ahmad]
Hi Scott,

That is right, but so far we have one model which has been successful in running the Discussion forum. My understanding of seamless change, is NOT to change the whole model at once! At least keeping the part that works well and introduce a partial change is safer.

If down the road we find out that this model (option # 2) does not work, we always can fall back to adopt Model # 1 later.

=> IMHO, we are not supposed to run test(s) as this can lead to a "mess" if we take into account the generally "slow" IETF ways of moving forward...

IMHO, it is better to stay on an already tested and successful path (i.e., option 1).

Regards,

Wassim H.

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Mon, 12 Oct 2009 11:49:36 -0500

> That is right, but so far we have one model which has been 
> successful in running the Discussion forum. My understanding 
> of seamless change, is NOT to change the whole model at once! 
> At least keeping the part that works well and introduce a 
> partial change is safer.
> 
> If down the road we find out that this model (option # 2) 
> does not work, we always can fall back to adopt Model # 1 later.
> 
> => IMHO, we are not supposed to run test(s) as this can lead 
> to a "mess" if we take into account the generally "slow" IETF 
> ways of moving forward...
> 
[Ahmad]
Hi Wassim,

Okay.. But I have not seen a meeting that is well attended after the
plenaries as this meeting. 

But as I said, we may differ here and that is absolutely fine. I hope
that the group will pick the best option for meeting the goals!

Best Regards,
Ahmad

> reasons you

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 13 Oct 2009 08:17:24 -0700 (PDT)

+1

Regards,

Behcet

----- Original Message ----
> From: Suresh Krishnan <[email-masked]>
> To: Jari Arkko <[email-masked]>
> Cc: Internet Area <[email-masked]>
> Sent: Mon, October 12, 2009 10:28:19 AM
> document development group. The benefit of this approach is that the two roles 
> are clearly separated and similar to what has been done on other areas. Two sets 
> of chairs would be needed, and at least the ones for the document part would not 
> be the ADs. A potential downside is that if we create a new group in a place 
> where we traditionally have not had that much work, we might open an avenue for 
> publishing unnecessary documents, documents that were rejected by existing 
> working groups or BOFs, etc. 
> 
> I support this option. The intarea meeting could be a gatekeeper for the intwg 
> to keep such (useless, rejected) documents out. i.e. Charter items for the intwg 
> need to have been discussed in intarea and found sufficient support prior to 
> inclusion.
> 
> Cheers
> Suresh

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 13 Oct 2009 09:37:52 -0700

> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jari Arkko

I agree with path one (above). Have a single mailing
list and a single meeting at each IETF (one or multiple
time slots as necessary). Then, simply identify which
agenda items correspond to the wg and which correspond
to the general area-wide discussions. (For that matter,
interleave the wg and non-wg topics so folks don't
attend 1/2 of the meeting and skip out on the rest.)

Fred
[email-masked]

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 13 Oct 2009 13:09:54 -0400

Hi Jari,

>> on delegating anyway so this would be fine with us.

I prefer this first option, at least for now, as it has two beneficial
properties:

(1) This will continue to be the forum for the whole INT area to get
together, so it will (hopefully) continue to be well attended by people from
all parts of the INT area.
(2) It will not be the group's only/primary purpose to publish documents.
So, if there aren't any INT-area-wide issues that require documents, there 
won't be a sense that we need to go find documents to keep the group alive...

I'd like the charter to make it clear that the group's primary role is 
to serve as a forum for discussion of topics that are of wide interest to
the Internet area, and to facility intra-area discussion and collaboration.
As part of those discussions, we may choose to take on work items that
(due to their topic, scope, expected duration, etc.) do not fit well into 
any other INT area WG, and that do not warrant creation of a separate WG.

IMO, we should have a fairly high bar for acceptance of intarea WG items.
We should strive to ensure that they represent INT area consensus, not just
the interest/consensus of a small subgroup with little/no vocal objection
from the group.  I think that we should cite the TSVWG criteria for accepting 
new work, and the ADs should hold the WG chairs accountable for ensuring
that those criteria are met before work items are accepted.

If we find that combining the groups results in a situation where the 
documents are being given too much attention and the primary purpose of the
group is getting lost, we can consider what it makes sense to do then --
drop/farm out some work items, schedule more meeting time, or split the group
in two (although that has risks, as you mentioned in your message).  It has 
been my experience that it will be easier to move from one group to two 
if/when we find that we need two groups than it will be to merge two
groups back together if/when we find that we would have been better off with
just one.  So, I'd err on the side of keeping the group together, for now.

Margaret

---

From: Jari Arkko <[email-masked]>
Date: Thu, 22 Oct 2009 00:37:49 +0300

By the way, once we have a charter and get the group formally approved 
we will be needing new chairs. If you are interested in chairing the 
INTAREA working group, please contact to Ralph or myself off-list -- 
volunteers are appreciated and we do not have enough of them yet!

Jari

---

From: Jari Arkko <[email-masked]>
Date: Thu, 22 Oct 2009 16:31:36 +0300

Thank you for the feedback regarding the two different models for 
organizing the INTAREA discussions. Ralph and I have discussed this and 
decided to move forward with the one group model, i.e., with a group 
that houses both area-wide discussions and documents. At least for now.

The suggested charter is given below and I hope that it reflects all the 
detailed comments that we received. We have sent the charter to the 
IESG, and if they like it, it comes back for a community comment period.

Jari
----

Internet Area Working Group (intarea)

Last modified: 2009-10-22

Chairs:
TBD

Internet Area (int) Directors:
Jari Arkko <[email-masked]>
Ralph Droms <[email-masked]>

Internet Area Advisor:
Jari Arkko <[email-masked]>
Ralph Droms <[email-masked]>

Mailing Lists:
General Discussion: [email-masked]
Subscribe online at: https://www1.ietf.org/mailman/listinfo/int-area

Description of Working Group:

The Internet Area Working Group (INTAREA WG) acts primarily as a
forum for  discussing far-ranging topics that affect the entire area. Such
topics include, for instance, address space issues, basic IP layer
functionality, and architectural questions. The group also serves
as a forum to distribute information about ongoing activities in
the area, create a shared understanding of the challenges and goals
for the area, and to enable coordination.

The Internet Area receives occasional proposals for the development
and publication of RFCs that are not in scope of an existing working
group and do not justify the formation of a new working group. The
INTAREA WG has a secondary role to serve as the forum for developing
such work  items in the IETF. The working group milestones are updated
as needed to reflect the current work items and their associated milestones.
New  work must satisfy the following conditions:

  (1) WG consensus on the relevance for the Internet at large.

  (2) WG consensus on the suitability and projected quality of the
       proposed work item.

  (3) A core group of WG participants with sufficient energy and
       expertise to advance the work item according to the proposed
       schedule.

  (4) Commitment from the WG as a whole to provide sufficient
       and timely review of the proposed work item.

  (5) Agreement by the ADs, who, depending on the scope of the proposed
       work item, may decide that an IESG review is needed first.

Milestones:

December 2009  Submission of IPID document to the IESG as PS
March    2010  Submission of tunneling issues document to the IESG as Info